Skip to main content
Resource Center/Hardware/Host Operations/Loongarch SE Operations
GETLoongarch SE OperationsSince 4.6.0SynchronousAuth Required

QueryMttyDevice

QueryMttyDevice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

  • inventoriesListRequired

    For more information, see inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed information of the resource.

    • hostUuidStringRequired

      The host UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMttyDeviceTypeRequired

      For more information, see type

      • SE_ControllerMttyDeviceTypeRequired

        The SE controller.

    • stateMttyDeviceStateRequired

      For more information, see state.

      • EnabledMttyDeviceStateRequired

        The enabled state.

      • DisabledMttyDeviceStateRequired

        The disabled state.

    • virtStatusMttyDeviceVirtStatusRequired

      For more information, see virtStatus.

      • VFIO_MDEV_VIRTUALIZABLEMttyDeviceVirtStatusRequired

        Support the VFIO_MDEV virtualization.

      • VFIO_MDEV_VIRTUALIZEDMttyDeviceVirtStatusRequired

        Virtualized by VFIO_MDEV.

      • UNVIRTUALIZABLEMttyDeviceVirtStatusRequired

        Cannot be virtualized.

      • UNKNOWNMttyDeviceVirtStatusRequired

        Unknown.

Endpoint

GET/zstack/v1/mtty-devices

/zstack/v1/mtty-devices

Operation ID

QueryMttyDevice

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/mtty-devices' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "36f2f7aa68d1494ea0ac11d98bab0f5d", "name": "SE Device", "hostUuid": "109ad7360f5846deaf65e61ea7f51013", "type": "SE_Controller", "state": "Enabled", "virtStatus": "VFIO_MDEV_VIRTUALIZABLE" } ] }

Change History

This API has no change history records yet.

View all change history